#include "stdafx.h"
#include "ShapeObject.h"

CShapeObject::CShapeObject()
{
}

CShapeObject::~CShapeObject()
{
}

//////////////////////////////
// LINE
//////////////////////////////

CLineObject::CLineObject(void)
{
}

CLineObject::~CLineObject(void)
{
}

// CLineObject class constructor
CLineObject::CLineObject(CPoint ptStart, CPoint ptEnd, COLORREF aColor, int aThickness)
{
	m_nShapeMode = 0;
	m_ptStart = ptStart;               // Set line start point
	m_ptEnd = ptEnd;                   // Set line end point
	m_Color = aColor;                  // Set line color
	m_nThickness = aThickness;         // Set pen width
}

// Draw a CLineObject
void CLineObject::Draw(CDC* pDC, CShapeObject* pObj)
{
	// Create a pen for this object and draw line
	CPen aPen;
	if (!aPen.CreatePen(PS_SOLID, m_nThickness, m_Color)) {
		// Pen creation failed. Abort the program
		AfxMessageBox(_T("Pen creation failed drawing a line"), MB_OK);
		AfxAbort();
	}
	CPen* pOldPen = pDC->SelectObject(&aPen);
	pDC->MoveTo(m_ptStart);
	pDC->LineTo(m_ptEnd);
	pDC->SelectObject(pOldPen);
}

//////////////////////////////
// RECTANGLE
//////////////////////////////

CRectangleObject::CRectangleObject(void)
{
}

CRectangleObject::~CRectangleObject(void)
{
}

// CRectangleObject class constructor
CRectangleObject:: CRectangleObject(CPoint ptStart, CPoint ptEnd, COLORREF aColor, int aThickness)
{
}

// Draw a CRectangle object
void CRectangleObject::Draw(CDC* pDC, CShapeObject* pObj)
{
	// Create a pen for this object and draw rectangle
	TRACE("DrawRectangleObject\n");
}

//////////////////////////////
// ELLIPSE
//////////////////////////////

CEllipseObject::CEllipseObject(void)
{
}

CEllipseObject::~CEllipseObject(void)
{
}

// CEllipseObject class constructor
CEllipseObject::CEllipseObject(CPoint ptStart, CPoint ptEnd, COLORREF aColor, int aThickness)
{
}

// Draw an ellipse
void CEllipseObject::Draw(CDC* pDC, CShapeObject* pObj)
{
	// Create a pen for this object and draw ellipse
	TRACE("DrawEllipseObject\n");
}
