// SimpleShapeDrawingView.h : interface of the CSimpleShapeDrawingView class
//


#pragma once

class CShapeObject;              // Forward class declaration

class CSimpleShapeDrawingView : public CView
{
protected: // create from serialization only
	CSimpleShapeDrawingView();
	DECLARE_DYNCREATE(CSimpleShapeDrawingView)

// Attributes
public:
	CSimpleShapeDrawingDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CSimpleShapeDrawingView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

// Attributes
protected:
	BOOL m_bDrawMode;				// ׸  Ǵ
	CPoint m_ptStart, m_ptEnd;		//  
	CShapeObject* m_aShapeObject;	// ShapeObject 

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
};

#ifndef _DEBUG  // debug version in SimpleShapeDrawingView.cpp
inline CSimpleShapeDrawingDoc* CSimpleShapeDrawingView::GetDocument() const
   { return reinterpret_cast<CSimpleShapeDrawingDoc*>(m_pDocument); }
#endif

